Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.http
Interface SessionListener

    public interface SessionListener

Listens for HTTP binding session events.

Author:
  Alexander Wenckus

Method Summary
`void` | `connectionClosed(HttpSession session, HttpConnection connection)` A conneciton was closed.
`void` | `connectionOpened(HttpSession session, HttpConnection connection)` A connection was opened.
`void` | `sessionClosed(HttpSession session)` A session ended.

Method Detail

### connectionOpened

    void connectionOpened(HttpSession session,
                          HttpConnection connection)

  A connection was opened.

  Parameters:
    `session` - the session.
    `connection` - the connection.

### connectionClosed

    void connectionClosed(HttpSession session,
                          HttpConnection connection)

  A conneciton was closed.

  Parameters:
    `session` - the session.
    `connection` - the connection.

### sessionClosed

    void sessionClosed(HttpSession session)

  A session ended.

  Parameters:
    `session` - the session.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.